# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Sat Nov  2 19:24:22 2024
# ------------------------------------------------

package:
  name: sentieon
  version: '202308.03'
source:
  - patches:
      - sentieon_symlinks.patch
    sha256: d51d1a192aa9fd3108f4baa5e1d0784ea80af6734fcc1a27a57e15779f43fcf1
    url: https://s3.amazonaws.com/sentieon-release/software/sentieon-genomics-202308.03.tar.gz
build:
  binary_relocation: false
  number: '1'
  run_exports:
    - sentieon >=202308.3,<202309.0a0
  string: h43eeafb_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_2
    - binutils_linux-64 2.43 h4852527_2
    - gcc_impl_linux-64 12.4.0 hb2e57f8_1
    - gcc_linux-64 12.4.0 h6b7512a_5
    - gxx_impl_linux-64 12.4.0 h613a52c_1
    - gxx_linux-64 12.4.0 h8489865_5
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - ld_impl_linux-64 2.43 h712a8e2_2
    - libgcc 14.2.0 h77fa898_1
    - libgcc-devel_linux-64 12.4.0 ha4f9413_101
    - libgomp 14.2.0 h77fa898_1
    - libsanitizer 12.4.0 h46f95d5_1
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libstdcxx-devel_linux-64 12.4.0 ha4f9413_101
    - sysroot_linux-64 2.17 h4a8ded7_18
    - tzdata 2024b hc8b5060_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc 14.2.0 h77fa898_1
    - libgcc-ng 14.2.0 h69a702a_1
    - libgomp 14.2.0 h77fa898_1
    - libstdcxx 14.2.0 hc0a3c3a_1
    - libzlib 1.2.13 h4ab18f5_6
    - zlib 1.2.13 h4ab18f5_6
  run:
    - libgcc >=12
    - libstdcxx >=12
    - libzlib >=1.2.13,<2.0a0
    - python >=2.7
    - zlib
test:
  commands:
    - sentieon driver
    - sentieon driver --help --algo TNscope
    - sentieon STAR --help
    - sentieon umi --help
    - sentieon util --help
about:
  home: https://www.sentieon.com
  license: Commercial (requires license for use; redistribution allowed)
  summary: Accelerated performance bioinformatics tools for mapping and variant calling
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
